Results 1 to 2 of 2

Thread: apt-get install thttpd -- E: Package 'thttpd' has no installation candidate

  1. #1
    Join Date
    Jul 2014
    Beans
    336

    Question apt-get install thttpd -- E: Package 'thttpd' has no installation candidate

    Hi all,

    Tried to install thttpd web server using

    Code:
    sudo apt-get update 
    sudo apt-get install thttpd
    Got error

    $ sudo apt-get install thttpd
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    Package thttpd is not available, but is referred to by another package.
    This may mean that the package is missing, has been obsoleted, or
    is only available from another source

    E: Package 'thttpd' has no installation candidate
    Please advise.
    Thanks ahead.

  2. #2
    Join Date
    Jul 2013
    Location
    Wisconsin
    Beans
    4,520

    Re: apt-get install thttpd -- E: Package 'thttpd' has no installation candidate

    Debian identified the 'thttpd' package as dead or orphaned in 2012. It was withdrawn from newer versions of Debian and Ubuntu at that time.
    The package was withdrawn from the already-released Precise repo in Nov 2016.
    It's still available in Debian Oldstable...but I recommend against using it. It was withdrawn four years ago for a good reason,

    Source: https://tracker.debian.org/news/222930

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •